@ECHO OFF

CLS

ECHO UniCode DLLOCX Client Checking ...
ECHO.

PushD %windir%

FOR /F %%i IN ('DIR /s /b HexUniControls42.OCX') DO (
	FOR /F %%i IN ('DIR /s /b FPSPRU80.OCX') DO (
		FOR /F %%i IN ('DIR /s /b UniBox210.OCX') DO (
			GOTO :Exist
		)
	)
)

ECHO.

:None
ECHO ***************************************
ECHO  UniCode components are not installed!
ECHO ***************************************
GOTO :END

:Exist
ECHO *****************************************
ECHO  UniCode components have been installed!
ECHO *****************************************

:END
ECHO.
PAUSE
